Assure compatibility of NI LabVIEW based Instruments across different NI Multisim versions

Publish Date: Sep 08, 2011 | 0 Ratings | 0.00 out of 5 |  PDF

1. Overview

LabVIEW based virtual instruments allow NI Multisim users to customize the way they interact with their SPICE based simulation. LabVIEW-based instruments can be used to supply real world data to drive a circuit, use new and complex methods of displaying data or even outputting data to real world devices while the simulation is running.

LabVIEW based instruments for Multisim where introduced with Multisim Version 9 and NI LabVIEW Version 8.0. All necessary files to run a LabVIEW-based instrument together with your SPICE-based circuit will be installed with NI Multisim, according to the LabVIEW release current at the time of the Multisim release. However, to assure compatibility of instruments created with newer versions of LabVIEW across different Multisim versions, we suggest you download and unpack the attached file multisim_lv_20090212.zip to your Multisim installation directory.

Unzip the attached compressed file, and copy the files you need to the lvinstrument folder in your NI Multisim installation directory, e.g.:

C:\Program Files\National Instruments\Circuit Design Suite 10.1\lvinstruments\

How do you know which files you need? The files are named following the LabVIEW version they support, e.g. for LabVIEW 8.5.1 the files you need are named LVInstrIF851.dll and LVInstrIF851.llb. As minimum, you need at least two files, one is a DLL and the other one is a LLB.

The attached ZIP file includes interface files for LabVIEW 8.0 up to LabVIEW 8.6, please note that Windows Vista® support started in LabVIEW 8.2.1, interface files prior to this version will not work properly under Windows Vista®.

 

Back to Top

2. Additional Links

Tutorial on "How To Create A LabVIEW Based Instrument For NI Multisim"

 

Back to Top

Bookmark & Share


Downloads


Ratings

Rate this document

Answered Your Question?
Yes No

Submit